Subject: Re: [PATCH v3] Add support for driver cross-timestamp to PTP_SYS_OFFSET ioctl

From: Richard Cochran <[email-masked]>
Date: Thu, 9 Jul 2015 16:57:48 +0200

On Wed, Jul 08, 2015 at 01:46:41PM -0700, Christopher Hall wrote:
> This patch allows system and device time ("cross-timestamp") to be
> performed by the driver. Currently, the cross-timestamping is performed
> in the PTP_SYS_OFFSET ioctl.  The PTP clock driver reads gettimeofday()
> and the gettime64() callback provided by the driver. The cross-timestamp
> is best effort where the latency between the capture of system time
> (getnstimeofday()) and the device time (driver callback) may be
> significant.

The interface looks okay to me.  Now all we need is a user of it...

Acked-by: Richard Cochran <[email-masked]>